# Encoding: UTF-8
class UsersController < ApplicationController
  before_filter :find_user, :except => [:index, :new, :create]
  def new
    @user = User.new
  end

  def edit
  end

  def index
    @users = User.find(:all, :order => "neptun")
  end

  def show
  end

  def create
    @user = User.new(params[:user])
    
    if @user.save
      @current_user = @user
      session[:user] = @user.id
      flash[:notice] = "Sikeres bejelentkezés"
      redirect_to :action => "show", :id => @user.id
    else
      render :action => "new"
    end
  end
  
  def update
    if @user.update_attributes(params[:user])
      flash[:notice] = "Sikeres frissítés"
      redirect_to :action => "show", :id => @user.id
    else
      render :action => "edit"
    end
  end

  def destroy
    @user.destroy
    flash[:notice] = "Felhasználó törötve"
    redirect_to :action => "index"
  end
  
  private
  def find_user
    @user=User.find(params[:id])
  end
end
